#ifndef __BuddhaXNA_H__
#define __BuddhaXNA_H__

#ifndef STRICT
#define STRICT
#endif

#include "BuddhaXNAPrerequisites.h"
#include "BuddhaMath.h"

#include "BuddhaIteratorWrappers.h"

// Geometry Math
#include "BuddhaVector2.h"
#include "BuddhaVector3.h"
#include "BuddhaMatrix.h"
#include "BuddhaQuaternion.h"

// Framework
#include "BuddhaGame.h"
#include "BuddhaGraphicsDeviceManager.h"

// Graphics
#include "BuddhaColor.h"

// Graphics:2D
#include "BuddhaSpriteBatch.h"
#include "BuddhaTexture2D.h"
#include "BuddhaFont.h"

// Graphics:3D
#include "BuddhaVertexBuffer.h"
#include "BuddhaVertexDeclaration.h"
#include "BuddhaIndexBuffer.h"
#include "BuddhaEffect.h"
#include "BuddhaEffectTechnique.h"
#include "BuddhaHardwareEffect.h"
#include "BuddhaGpuEffectTechnique.h"
#include "BuddhaEffectPass.h"
#include "BuddhaGpuEffectPass.h"
#include "BuddhaBasicEffect.h"
#include "BuddhaModel.h"
#include "BuddhaModelMesh.h"
#include "BuddhaModelMeshPart.h"

// Input
#include "BuddhaGamepad.h"
#include "BuddhaKeyboard.h"

// Bounds
#include "BuddhaBoundingSphere.h"
#include "BuddhaBoundingFrustum.h"

/**
 * \mainpage Buddha XNA
 * \section main-section1 ܂͂߂
 * BuddhaXNASTLReiAQƃ|C^AUTF-8SʓIɎgp C++ p DirectX bp[łB
 * }CN\tg XNA Framework ƂقړNX̌nAXNǍo҂łC++łȂ
 * Q[J邱ƂłƂbp[ڎwĂ܂B
 *
 * \section main-section2 vO~OKCh
 * \li \ref conventions
 * \li \ref how_to_dev_application
 * \li \ref sharedptr_page
 * \li \ref example_header
 */

#endif