#include "BuddhaGameWindow.h"

namespace BuddhaXNA
{
	GameWindow::GameWindow()
		: mTitle(L""),
		  mClientBounds(100, 100, BUDDHA_DEFAULT_WINDOW_WIDTH, BUDDHA_DEFAULT_WINDOW_HEIGHT)
	{
	}
	//------------------------------------------------------------------------
	const HWND GameWindow::GetHandle(void) const
	{
		return mHandle;
	}
	//------------------------------------------------------------------------
	void GameWindow::SetTitle(const String &title)
	{
		mTitle = title;
	}
	//------------------------------------------------------------------------
	const String &GameWindow::GetTitle(void) const
	{
		return mTitle;
	}
	//------------------------------------------------------------------------
	Rectangle &GameWindow::GetClientBounds(void)
	{
		return mClientBounds;
	}
}