#ifndef __BuddhaGpuEffectTechnique_H__
#define __BuddhaGpuEffectTechnique_H__

#include "BuddhaEffectTechnique.h"

namespace BuddhaXNA
{
	/// vO}uVF[_p̃eNjbN
	class GpuEffectTechnique : EffectTechnique
	{
		friend Effect;
		friend BasicEffect;
		friend GpuEffect;

	protected:
		EffectPassList mEffectPassList;

		GpuEffect* m_pEffect;
		D3DXHANDLE m_pHandle;

		GpuEffectTechnique(GpuEffect* parentEffect, D3DXHANDLE handle);

	public:
		~GpuEffectTechnique();

		int GetNumPasses(void);

		EffectPass* GetPass(unsigned int idx);
	};
}

#endif