#ifndef __BuddhaPlane_H__
#define __BuddhaPlane_H__

#include "BuddhaXNAPrerequisites.h"
#include "BuddhaVector3.h"

namespace BuddhaXNA
{
	/// ʂ\\
	struct Plane
	{
	public:
		/// ʂɒPʃxNg
		Vector3	Normal;

		/// _琅ʂ܂ł̒PʃxNg̋
		FLOAT	D;

		/// RXgN^
		Plane(void);

		/**
		 * @brief RXgN^
		 * @param normal ʂɒPʃxNg
		 * @param d      _琅ʂ܂ł̒PʃxNg̋
		 */
		Plane(Vector3 normal, FLOAT d);

		enum Side
		{
			NO_SIDE,
			POSITIVE_SIDE,
			NEGATIVE_SIDE
		};

		/**
		 * @brief	w肳ꂽ_ \e point ʂ̕\ɂ邩Aɂ邩𒲂ׂĕԂ
		 */
		Side GetSide(const Vector3& point) const;

		/**
		 * @brief	\e point ̋Ԃ
		 */
		FLOAT GetDistance(const Vector3 &position) const;
	};

	/// ʂ̕\񋓒l C# X^C enum
	class PlaneSide
	{
	public:
		/// \̕]Ȃ
		static const Plane::Side No = Plane::NO_SIDE;

		/// \
		static const Plane::Side Positive = Plane::POSITIVE_SIDE;

		/// 
		static const Plane::Side Negative = Plane::NEGATIVE_SIDE;
	};
}

#endif